PROBE::NETFILTER.A(3stap)

NAME
probe::netfilter.arp.out - - Called for each outgoing ARP packet

SYNOPSIS

netfilter.arp.out

VALUES

nf_drop
    Constant used to signify a 'drop' verdict

ar_pln
    Length of protocol address

length
    The length of the packet buffer contents, in bytes

ar_tip
    Ethernet+IP only (ar_pro==0x800): target IP address

outdev
    Address of net_device representing output device, 0 if unknown

ar_hln
    Length of hardware address

data_hex
    A hexadecimal string representing the packet buffer contents

nf_accept
    Constant used to signify an 'accept' verdict

nf_stop
    Constant used to signify a 'stop' verdict

ar_hrd
    Format of hardware address

nf_repeat
    Constant used to signify a 'repeat' verdict

data_str
    A string representing the packet buffer contents

indev
    Address of net_device representing input device, 0 if unknown

ar_tha
    Ethernet+IP only (ar_pro==0x800): target hardware (MAC) address

arphdr
    Address of ARP header

ar_pro
    Format of protocol address

nf_queue
    Constant used to signify a 'queue' verdict

outdev_name
    Name of network device packet will be routed to (if known)

nf_stolen
    Constant used to signify a 'stolen' verdict

ar_sip
    Ethernet+IP only (ar_pro==0x800): source IP address

ar_data
    Address of ARP packet data region (after the header)

pf
    Protocol family -- always “arp”

ar_sha
    Ethernet+IP only (ar_pro==0x800): source hardware (MAC) address

indev_name
    Name of network device packet was received on (if known)

ar_op
    ARP opcode (command)

SEE ALSO
tapset::netfilter(3stap)